Bug 68341 - xsysinfo memory leak
Summary: xsysinfo memory leak
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cheng-Lung Sung
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-06-25 21:10 UTC by Kevin T. Likes
Modified: 2005-09-06 07:13 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin T. Likes 2004-06-25 21:10:23 UTC
     xsysinfo uses more and more memory as it continues to run.

How-To-Repeat:      Run the program for a while.
Comment 1 Pav Lucistnik freebsd_committer 2004-06-25 22:23:28 UTC
State Changed
From-To: open->feedback

Do you have any patches to fix it? I'm afraid we don't 
have manpower to fix general software problems in third-party 
software. We're only packaging it.
Comment 2 parv 2004-06-26 06:30:35 UTC
(Missed to send to -gnats-submit the message below)

in message <200406252124.i5PLOApd021882@freefall.freebsd.org>,
wrote Pav Lucistnik thusly...
>
> Synopsis: xsysinfo memory leak
> 
> State-Changed-From-To: open->feedback
> State-Changed-By: pav
> State-Changed-When: Fri Jun 25 21:23:28 GMT 2004
> State-Changed-Why: 
> Do you have any patches to fix it? I'm afraid we don't
> have manpower to fix general software problems in third-party
> software. We're only packaging it.
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=68341

The PR does not specify the running time to see bloom in memory usage.
Keeping that in mind following is what i got so far on FreeBSD 4.9-p9
while there was not much activity ...

  PID NI  RSZ   VSZ %MEM %CPU STARTED   STAT      TIME COMMAND
  312  5 1684  2896  0.4  0.5  9:04AM   SN     2:38.12 xsysinfo
  312  5 1668  2896  0.4  0.0  9:04AM   SN     2:58.26 xsysinfo
  312  5 1652  2896  0.4  0.0  9:04AM   SN     3:13.40 xsysinfo
  312  5 1636  2896  0.4  0.2  9:04AM   SN     3:20.35 xsysinfo
  312  5 1636  2896  0.4  0.6  9:04AM   SN     3:21.21 xsysinfo
  312  5 1604  2896  0.4  0.4  9:04AM   SN     3:25.95 xsysinfo
  312  5 1604  2896  0.4  0.0  9:04AM   SN     3:25.95 xsysinfo
  312  5 1504  2896  0.4  0.0  9:04AM   SN     3:41.79 xsysinfo


...and the command was stared via xinitrc thusly...

  xsysinfo -geometry 190x80+90-20 -interval 3 -nonfs


  - Parv

--
Comment 3 peter.berghmans 2004-11-13 16:51:59 UTC
I've been running xsysinfo on FreeBSD 4.10 under KDE, while starting
different apps, browsing the Internet, minimizing and resizing the application.
It keeps using 2912K according to "top". Seems to work for me...
Comment 4 Cheng-Lung Sung freebsd_committer 2004-11-14 03:26:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

Take, I'll watch this.
Comment 5 flz 2005-06-06 13:19:51 UTC
     Does the problem still exists with new version
     of the port ?

-- 
Florent Thoumie
flz@xbsd.org
Comment 6 klikes 2005-06-06 15:58:29 UTC
I'll install the port and let you know.  --ktl

In message <7E01BA2E-AE43-4A7D-A0FC-6F3EFDC49608@xbsd.org>, Florent Thoumie wri
tes:
>     Does the problem still exists with new version
>     of the port ?
>
>-- 
>Florent Thoumie
>flz@xbsd.org
>
>
Comment 7 klikes 2005-06-06 17:20:08 UTC
It appears so:

 while :; do ps -lp 13516; sleep 20; done
  UID   PID  PPID CPU PRI NI   VSZ  RSS MWCHAN STAT  TT       TIME COMMAND
  105 13516 67188   0 101  5  4152 3392 select SN    p1    0:02.37 xsysinfo -ge
  105 13516 67188   0 101  5  4156 3396 select SN    p1    0:02.38 xsysinfo -ge
  105 13516 67188   0 101  5  4164 3404 select SN    p1    0:02.39 xsysinfo -ge
  105 13516 67188   0 101  5  4168 3408 select SN    p1    0:02.40 xsysinfo -ge
  105 13516 67188   0 101  5  4172 3412 select SN    p1    0:02.41 xsysinfo -ge
  105 13516 67188   0 101  5  4176 3416 select SN    p1    0:02.43 xsysinfo -ge

--ktl

In message <7E01BA2E-AE43-4A7D-A0FC-6F3EFDC49608@xbsd.org>, Florent Thoumie wri
tes:
>     Does the problem still exists with new version
>     of the port ?
>
>-- 
>Florent Thoumie
>flz@xbsd.org
>
>
Comment 8 Cheng-Lung Sung freebsd_committer 2005-09-06 07:13:23 UTC
State Changed
From-To: feedback->closed

Patched, Thank you.